Question

Kit Import Error


Userlevel 2

I have Elementor pro set up and connected to my WP site, hosted on Godaddy WP Managed Hosting. When I try to add a KIT (Templates -->KIT Library-->select KIT and then Apply Kit) I continue to get the error message. I have tried all the recommended steps (unlinking and re-linking the site, etc) and still no luck. I also tried deactivating all non-elementor plugins, etc. 

 

Anyone have an idea of what my next steps could be? I want to scale up use of the product as it looks like a great solution, but without KITs I don’t really have a use case for it. Thank you in advance for any help/ideas.

 

 

 


40 replies

Userlevel 2

The same here…

solution?:)

I have the same problem. I hope that this issue can be fixed soon….

See mine screencast: https://we.tl/t-wVMyYDrMXy 

Have the same issue. No solution since days!

Same here, hoping for a resolution, soon! :pray:

Userlevel 1

I have the same problem, this app has so many bugs. Waisted a whole weekend doing this.

Userlevel 2

Is there any support from the premium support that I paid for? Going on 30 hours now without even a response to my ticket. If it doesn’t work, just let me know so I can cancel.

Userlevel 2

I have the same issue - as a premium customer - seems like the Elementor support team are on strike. This has to be some of the worse customer service I have ever seen… what a waste of all our time being customers of this company! 

Userlevel 2

Just received this from the chat with customer support:

 

“I looked into it, and it seems that we're experiencing a technical issue which is the source of the problem. I truly apologize for the inconvenience and I assure you that our developers are working as we speak to get to the bottom of it.

An agent will update you by email as soon as this issue is resolved.”

 

Absolute nightmare!!!

Userlevel 1

It totally ruined my weekend and time. I planned to update my site. This happened most of the time,

Got a headache, went through troubleshooting numerous times, support not there.

Got the kits to install occasionally but they were not set out properly.

This company seriously needs to sort things out.

 

Userlevel 1

Same issue here.

Tried on several domains, all got the same error message.

Userlevel 1

I tried reverting to older versions of elementor, elementor 3.2.0, and the pro version also on 3.2.0 with Wordpress version being 5.7.0, the idea is it works, but it always nags to upgrade to avoid problems, as well as other plugins have new updates that might crash with the downgrading to older versions, so if you are satisfied with elementor only and no other plugins this trick can work until stable 3.4 elementor is out, otherwise, we’ll have to wait, but I can admit I have the beta versions, they’re releasing at least one version every day or 2 in the beta, so they are working! But this is not professional at all since many items in the kit are new with 3.3 they should’ve waited and tested more before releasing, hope this will be solved soon.

Got the same issue on several domains and new projects am working on.

Hope to see the fix really soon.

Same issue here. We see other complaints but no fix that works.

Has anybody gotten this resolved? Or should I simply go back to using Avada?

Unfortunately its the same for me.

 

Hello,

still not working… No answer from support team. Plus update of elementor pro fails. Was supposed to work on a new site this we. Will go fishing ;-)

 

 

Same problem.

Got an answer from the Elementor team but it doe not work.

PS. I am trying it on a new site. A few days ago when I tried to import the kits they did work. The past 2 day nothing works, and their suggestion does not help. Creating new sites to see if it works but it does not!!!

ELEMENTOR answer:

Thank you for your patience with the issue you are currently experiencing.
Currently, we have a dependency between the Elementor & Elementor Pro versions.
Our latest versions are Elementor 3.3.1 & Elementor Pro 3.3.4. In order to upgrade to our latest versions, please make sure you update Elementor to the latest version before upgrading the Pro version.

In case you already have updated Elementor Pro to 3.3.x and didn’t update Elementor, follow these steps:
1. Rollback to the previous version of Elementor Pro
2. Update Elementor
3. Update Elementor Pro

ELEMENTOR answer:

Thank you for your patience with the issue you are currently experiencing.
Currently, we have a dependency between the Elementor & Elementor Pro versions.
Our latest versions are Elementor 3.3.1 & Elementor Pro 3.3.4. In order to upgrade to our latest versions, please make sure you update Elementor to the latest version before upgrading the Pro version.

In case you already have updated Elementor Pro to 3.3.x and didn’t update Elementor, follow these steps:
1. Rollback to the previous version of Elementor Pro
2. Update Elementor
3. Update Elementor Pro

Ok but in my case I already had Elementor 3.3.1 prior to install Elementor Pro. I purchased my licence today and the elementor website allowed to download Elementor Pro but in version 3.3.1. Why not 3.3.4 then?…

And now I’m stuck with a pro version that fails to upgrade and kits that don’t import.

Stil waiting for a real answer from Elementor team….

 

ELEMENTOR answer:

Thank you for your patience with the issue you are currently experiencing.
Currently, we have a dependency between the Elementor & Elementor Pro versions.
Our latest versions are Elementor 3.3.1 & Elementor Pro 3.3.4. In order to upgrade to our latest versions, please make sure you update Elementor to the latest version before upgrading the Pro version.

In case you already have updated Elementor Pro to 3.3.x and didn’t update Elementor, follow these steps:
1. Rollback to the previous version of Elementor Pro
2. Update Elementor
3. Update Elementor Pro

Ok but in my case I already had Elementor 3.3.1 prior to install Elementor Pro. I purchased my licence today and the elementor website allowed to download Elementor Pro but in version 3.3.1. Why not 3.3.4 then?…

And now I’m stuck with a pro version that fails to upgrade and kits that don’t import.

Stil waiting for a real answer from Elementor team….

 

got 3.3.1 & 3.3.4 but the error still appears.

Along with a few others, I have followed the steps reported here as I’ve not had any response from support. Unfortunately this fix does not work for any of my sites, even on clean wordpress installs. It’s interesting to note that you can’t download pro 3.3.4 from the my elementor dashboard it downloads 3.3.1. 

 

Looking at the github issue and several posts here it seems to be widespread and has been ongoing for quite sometime. Seemingly support hasn’t really done anything substantial to acknowledge and address this issue.

 

As a new Elementor user and having recently purchased the “expert” license it is quite disappointing to see the lack of “premium support” for such a widely publicised feature which is fundamentally broken.   

ELEMENTOR answer:

Thank you for your patience with the issue you are currently experiencing.
Currently, we have a dependency between the Elementor & Elementor Pro versions.
Our latest versions are Elementor 3.3.1 & Elementor Pro 3.3.4. In order to upgrade to our latest versions, please make sure you update Elementor to the latest version before upgrading the Pro version.

In case you already have updated Elementor Pro to 3.3.x and didn’t update Elementor, follow these steps:
1. Rollback to the previous version of Elementor Pro
2. Update Elementor
3. Update Elementor Pro

Ok but in my case I already had Elementor 3.3.1 prior to install Elementor Pro. I purchased my licence today and the elementor website allowed to download Elementor Pro but in version 3.3.1. Why not 3.3.4 then?…

And now I’m stuck with a pro version that fails to upgrade and kits that don’t import.

Stil waiting for a real answer from Elementor team….

 

got 3.3.1 & 3.3.4 but the error still appears.

 

 

I cant even roll back via tools below 3.3.x

Nothing works. I tried with Elementor Pro and without but zero results. I resubmitted an email that there suggestion did not help and I got a repeat of the same reply as above.

It is a big error in their program and it should be fixed ASAP.

FYI I have traced the code and recreated the curl requests for the kits using postman and the command line and I can confirm this is 100% on the elementor server side.

 

There is nothing any of us can do on our end to fix this, the problem has nothing to do with the code on our WordPress sites.

 

If you needed this immediately the most you can do is send a support request. Sorry y’all.

Dear Elementorians,

I have many sites on AWS EC2 instances using Wordpress Bitnami and have used Elementor Pro on several sites for years after upgrading to Elementor “Expert” to begin installing Kits on other Domains.

All of my sites run the AWS Wordpress Bitnami AMI and each site is on a dedicated instance.

 

I’m currently 0 for 7 installing in my attempts to install a single site kit.

So far I have:

  • Increased the EBS storage on the EC2 instances to 30 GB
    • Added S3 storage to the root volume 
  • Created new/different instances (largest was 4 cores, 16 threads 5 Gigabit Network ) 
  • Pointed the IPs to the correct DNS via Route 53
  • Self Cert for HTTPS
  • SSH’d into the bitnami stack
  • Updated the PHP to permit large file uploads (sudo nano /opt/bitnami/php/etc/php.ini) if anyone cares. 
  • Increased file & post uploads from 80M to 480M
  • Increased Max files uploaded from 20 to 1000 (in trial steps)
  • Restarted Server
  • Try to Apply Kit
  • Get Error
  • Feed the Site a backup WP file > 400 M
  • Site Accepts file

Along with mgratch’s post this should be the necessary and comprehensive information to support what seems to be either a failure to instruct the CUSTOMER on how to install site kits or a bug in the transfer protocol.  

Either way, I’ve wasted enough time. I’m going to use notepad to create the next site.

 

This is one example of the above changes described regarding increasing file upload size.

 

Hi everyone

Good news… “Your kit is now live on your site! 

Yes, Kit template is working today>

Reply